@echo off
REM *------------------------------------------------------------------------
REM *
REM *    MODULE NAME:   OS2SETUP.CMD
REM *
REM *        $Author:   USER "Dennis"  $
REM *      $Revision:   1.1  $
REM *          $Date:   19 Apr 2002 17:21:30  $
REM *       $Logfile:   C:/DBAREIS/Projects.PVCS/MultiOs/PPWIZARD/os2setup.cmd.pvcs  $
REM *
REM *    DESCRIPTION:   Setup program for OS/2 PPWIZARD (mainly icons).
REM *------------------------------------------------------------------------

REM *** PPWIZARD has extension of ".CMD" under OS/2 *************************
md out >nul 2>&1
rem copy ppwizard.rex ppwizard.cmd >nul
if     exist ppwizard.cmd goto HavePPW
       echo ***
       echo *** Can't find PPWIZARD.CMD or PPWIZARD.REX
       echo *** This batch file must be run from ppwizard
       echo *** directory
       echo ***
       goto EndBatch

:HavePPW
REM *** [/VALIDATE] - USED AS /VALIDATE EXAMPLE *****************************
%COMSPEC% /c ppwizard.cmd os2setup.db /output:out\os2setup.tmp /validate:{CmdRc=0}wpsobj.exe{x20}MakeObjects{x20}out\os2setup.tmp /debug >out\OS2SETUP.LOG 2>&1
if not errorlevel 1 goto CreateOk
       echo ***
       echo *** Create of PPWIZARD objects has failed...
       echo *** Will display "out\OS2SETUP.LOG" (contains details).
       echo ***
       echo *** NOTE
       echo *** ~~~~~
       echo *** OS/2 version 3 does not support "WPUrl" objects, these are
       echo *** created last so all other setup has completed for Warp 3.
       echo ***
       pause
       echo.                                                               >>out\OS2SETUP.LOG
       echo.                                                               >>out\OS2SETUP.LOG
       echo ***                                                            >>out\OS2SETUP.LOG
       echo *** OS/2 version 3 does not support "WPUrl" objects, these are >>out\OS2SETUP.LOG
       echo *** created last so all other setup has completed for Warp 3.  >>out\OS2SETUP.LOG
       echo ***                                                            >>out\OS2SETUP.LOG
       e.exe out\OS2SETUP.LOG
       goto EndBatch
:CreateOk
REM *** [/VALIDATE] - USED AS /VALIDATE EXAMPLE *****************************
       echo Done.
       echo.
       echo Please note that the ppwizard directory HAS NOT been added
       echo to the PATH.
       echo.
       echo To use ppwizard from batch files or from the command line
       echo you will need to update the path statement in "CONFIG.SYS".
       echo.
:EndBatch
pause
